
Redmine - Patch #2305

some translation phrase for Korean and Japaneses phrase, sentence order.

2008-12-09 04:05 - Kihyun Yun

Status: Closed Start date: 2008-12-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version: 0.9.0   

Description

from 2008-11-11 to 2008-12-12 (from activities)

Defect: 74 open on 988

lang/en.yml defines "from", "to" as each translation items. But the sentence order and phrase order of Korean and Japaneses  is not

matched to English.  As I know, Turkey is too.

In Korean

2008-11-11buteo 2008-12-12ggaji

Defect: 74 jinhaeng jung (chunche 988)

Defect: 74 jinhaeng jung / chunche 988

Defect: chong 988 jinhang jung 74

So you must define a translation unit as a phrase such as  "from %s to %s" and so on.

Above samples are that I found.

Associated revisions

Revision 2587 - 2009-03-13 20:03 - Jean-Philippe Lang

Adds a lang string with arguments for date ranges (#2305).

History

#1 - 2008-12-09 04:09 - Kihyun Yun

In some case, it requires ordered parameter formatting string like GNU gettext.

"%$1s %$2d",  are this features not supported in Ruby?

#2 - 2008-12-15 19:12 - Jean-Philippe Lang

Yes, it's supported. I'll add this strings to the lang files.

#3 - 2009-03-13 20:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

This is fixed. Rails I18n makes it easier to have named arguments in lang strings.

You now have the following strings:

label_x_open_issues_abbr_on_total:

  zero:  0 open / {{total}}

  one:   1 open / {{total}}

  other: "{{count}} open / {{total}}" 

...

label_date_from_to: From {{start}} to {{end}}
